//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.16 at 09:58:40 AM CEST 
//


package net.ihe.gazelle.tempmodel.distinguisher;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the net.ihe.gazelle.distinguisher package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.ihe.gazelle.distinguisher
     * 
     */
    public ObjectFactory() {
    	// object factory constructor
    }

    /**
     * Create an instance of {@link CDAElementsDistinguisher }
     * @return object  {@link CDAElementsDistinguisher }
     */
    public CDAElementsDistinguisher createCDAElementsDistinguisher() {
        return new CDAElementsDistinguisher();
    }

    /**
     * Create an instance of {@link ElementDiscriber }
     * @return object  {@link ElementDiscriber }
     */
    public ElementDiscriber createElementDiscriber() {
        return new ElementDiscriber();
    }

    /**
     * Create an instance of {@link Distinguisher }
     * @return object  {@link Distinguisher }
     */
    public Distinguisher createDistinguisher() {
        return new Distinguisher();
    }

}
